Debian Bug report logs - #573905
/usr/bin/opreport: libbfd not found

version graph

Package: oprofile; Maintainer for oprofile is LIU Qi <liuqi82@gmail.com>;

Reported by: Pierre Habouzit <madcoder@debian.org>

Date: Sun, 14 Mar 2010 21:57:01 UTC

Severity: grave

Tags: patch

Found in version oprofile/0.9.6-1

Fixed in version oprofile/0.9.6-1.1

Done: Alexander Reichle-Schmehl <tolimar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Sun, 14 Mar 2010 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
New Bug report received and forwarded. Copy sent to LIU Qi <liuqi82@gmail.com>. (Sun, 14 Mar 2010 21:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/bin/opreport: libbfd not found
Date: Sun, 14 Mar 2010 22:54:34 +0100
Package: oprofile
Version: 0.9.6-1
Severity: grave
File: /usr/bin/opreport
Justification: renders package unusable

$ opreport: error while loading shared libraries: libbfd-2.20.so: cannot open shared object file: No such file or directory


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages oprofile depends on:
ii  binutils                      2.20.1-2   The GNU assembler, linker and bina
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libgcc1                       1:4.4.3-3  GCC support library
ii  libpopt0                      1.15-1     lib for parsing cmdline parameters
ii  libstdc++6                    4.4.3-3    The GNU Standard C++ Library v3

oprofile recommends no packages.

Versions of packages oprofile suggests:
pn  oprofile-gui                  <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Tue, 16 Mar 2010 04:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee (李健秋) <ajqlee@debian.org>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Tue, 16 Mar 2010 04:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 573905@bugs.debian.org (full text, mbox):

From: Andrew Lee (李健秋) <ajqlee@debian.org>
To: Debian Bug Tracking System <573905@bugs.debian.org>
Subject: Re: libbfd not found
Date: Tue, 16 Mar 2010 11:40:46 +0700
[Message part 1 (text/plain, inline)]
Package: oprofile
Severity: normal
Tags: patch

Hi, just bumped the versioned binutils in build-depends to fix this problem.

The debdiff are attached. Is it OK for NMU?

Hello from the 2010 Thai BSP:
http://wiki.debian.org/DebianThailand/MiniDebCamp2010/BSP

Cheers,

-Andrew and Yabuki


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/2 CPU cores)
Locale: LANG=zh_TW.UTF-8, LC_CTYPE=zh_TW.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages oprofile depends on:
ii  binutils                      2.20.1-2   The GNU assembler, linker and bina
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libgcc1                       1:4.4.3-3  GCC support library
ii  libpopt0                      1.15-1     lib for parsing cmdline parameters
ii  libstdc++6                    4.4.3-3    The GNU Standard C++ Library v3

oprofile recommends no packages.

Versions of packages oprofile suggests:
pn  oprofile-gui                  <none>     (no description available)

-- no debconf information
[oprofile.debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Tue, 16 Mar 2010 10:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Tue, 16 Mar 2010 10:48:05 GMT) Full text and rfc822 format available.

Message #15 received at 573905@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Andrew Lee <ajqlee@debian.org>, 573905@bugs.debian.org
Subject: Re: Bug#573905: libbfd not found
Date: Tue, 16 Mar 2010 11:47:17 +0100
[Message part 1 (text/plain, inline)]
On Tue, Mar 16, 2010 at 11:40:46 +0700, Andrew Lee  wrote:

> Package: oprofile
> Severity: normal
> Tags: patch
> 
> Hi, just bumped the versioned binutils in build-depends to fix this problem.
> 
> The debdiff are attached. Is it OK for NMU?
> 
I think it's wrong.  libbfd doesn't have a stable ABI, so should be
statically linked.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Tue, 16 Mar 2010 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Tue, 16 Mar 2010 20:15:06 GMT) Full text and rfc822 format available.

Message #20 received at 573905@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: Julien Cristau <jcristau@debian.org>, 573905@bugs.debian.org
Cc: Andrew Lee <ajqlee@debian.org>
Subject: Re: Bug#573905: libbfd not found
Date: Tue, 16 Mar 2010 16:11:31 -0400
[Message part 1 (text/plain, inline)]
On Tue, Mar 16, 2010 at 11:47:17AM +0100, Julien Cristau wrote:
> On Tue, Mar 16, 2010 at 11:40:46 +0700, Andrew Lee  wrote:
> 
> > Package: oprofile
> > Severity: normal
> > Tags: patch
> > 
> > Hi, just bumped the versioned binutils in build-depends to fix this problem.
> > 
> > The debdiff are attached. Is it OK for NMU?
> > 
> I think it's wrong.  libbfd doesn't have a stable ABI, so should be
> statically linked.
> 

Julien,

Thanks for catching this, as I somehow missed Andrew's email.

Andrew,

Please note that this problem is also discussed in #537744, and in
#558412.  The solution is non-trivial.

Regards,

-Roberto

-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Thu, 18 Mar 2010 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yukiharu Yabuki <yabuki@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Thu, 18 Mar 2010 10:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 573905@bugs.debian.org (full text, mbox):

From: Yukiharu Yabuki <yabuki@netfort.gr.jp>
To: 573905@bugs.debian.org
Cc: roberto@connexer.com, ajqlee@debian.org, jcristau@debian.org, yyabuki@debian.org
Subject: libbfd.a libbfd-simple.a
Date: Thu, 18 Mar 2010 19:06:26 +0900
Hi, there.

I found oprofile patch in debian/patches. And It was not apply now.

I suppose you already knew binutils-dev provide "/usr/lib/libbfd.a". 
And multiarch-binutils provide "/usr/lib/libbfd-simple.a".

I guess applied the patch. Then while build script making exceute
file, Build script check (1)link libbfd-simple.a (2)if (1) failed
link libbfd.a.

Is my understanding correct? I guess that m4/binutils.m4 has to
be modify.

Regards.
Yukiharu

--
====+====+====+====+====+====+====+====+====+====+====+====+====+====+
Yukiharu Yabuki (矢吹幸治)                      I use Debian GNU/Linux
mail: yabuki@netfort.gr.jp
====+====+====+====+====+====+====+====+====+====+====+====+====+====+




Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Thu, 18 Mar 2010 14:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yukiharu YABUKI <yabuki@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Thu, 18 Mar 2010 14:51:13 GMT) Full text and rfc822 format available.

Message #30 received at 573905@bugs.debian.org (full text, mbox):

From: Yukiharu YABUKI <yabuki@netfort.gr.jp>
To: 573905@bugs.debian.org
Cc: roberto@connexer.com, ajqlee@debian.org, jcristau@debian.org, yyabuki@debian.org
Subject: re:libbfd. libbfd-simple.a
Date: Thu, 18 Mar 2010 21:49:40 +0700
[Message part 1 (text/plain, inline)]
Tags: patch

Hi, there

This patch applied once then I built oprofile package.
It look fine.

Please check this patch.

I am ready to upload nmu package.

Regards
Yukiharu.
[bug537744.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Thu, 18 Mar 2010 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Thu, 18 Mar 2010 15:03:05 GMT) Full text and rfc822 format available.

Message #35 received at 573905@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: Yukiharu YABUKI <yabuki@netfort.gr.jp>
Cc: 573905@bugs.debian.org, ajqlee@debian.org, jcristau@debian.org, yyabuki@debian.org
Subject: Re: libbfd. libbfd-simple.a
Date: Thu, 18 Mar 2010 11:01:12 -0400
[Message part 1 (text/plain, inline)]
On Thu, Mar 18, 2010 at 09:49:40PM +0700, Yukiharu YABUKI wrote:
> Tags: patch
> 
> Hi, there
> 
> This patch applied once then I built oprofile package.
> It look fine.
> 
> Please check this patch.
> 
> I am ready to upload nmu package.
> 
Please do not.  Please read the whole log for #537744 and then also for
#558412.

Regards,

-Roberto

-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Thu, 18 Mar 2010 15:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <ajqlee@debian.org>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Thu, 18 Mar 2010 15:15:04 GMT) Full text and rfc822 format available.

Message #40 received at 573905@bugs.debian.org (full text, mbox):

From: Andrew Lee <ajqlee@debian.org>
To: Yukiharu YABUKI <yabuki@netfort.gr.jp>, 573905@bugs.debian.org, ajqlee@debian.org, jcristau@debian.org, yyabuki@debian.org
Subject: Re: libbfd. libbfd-simple.a
Date: Thu, 18 Mar 2010 22:11:53 +0700
Roberto C. Sánchez wrote:
> Please do not.  Please read the whole log for #537744 and then also for
> #558412.

I think this is just a mistake as he uploaded a wrong patch file on his
filesystem. He is going to upload the correct one as he mentioned earlier.

Cheers for debian wine from mini-DebCamp 2010 Thailand,

-Andrew




Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Thu, 18 Mar 2010 15:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <ajqlee@debian.org>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Thu, 18 Mar 2010 15:15:06 GMT) Full text and rfc822 format available.

Message #45 received at 573905@bugs.debian.org (full text, mbox):

From: Andrew Lee <ajqlee@debian.org>
To: Yukiharu YABUKI <yabuki@netfort.gr.jp>, 573905@bugs.debian.org, jcristau@debian.org, yyabuki@debian.org
Subject: Re: libbfd. libbfd-simple.a
Date: Thu, 18 Mar 2010 22:12:16 +0700
Roberto C. Sánchez wrote:
> Please do not.  Please read the whole log for #537744 and then also for
> #558412.

I think this is just a mistake as he uploaded a wrong patch file on his
filesystem. He is going to upload the correct one as he mentioned earlier.

Cheers for debian wine from mini-DebCamp 2010 Thailand,

-Andrew




Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Thu, 18 Mar 2010 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yukiharu YABUKI <yabuki@kiire.co.jp>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Thu, 18 Mar 2010 15:27:03 GMT) Full text and rfc822 format available.

Message #50 received at 573905@bugs.debian.org (full text, mbox):

From: Yukiharu YABUKI <yabuki@kiire.co.jp>
To: 573905@bugs.debian.org
Cc: roberto@connexer.com, ajqlee@debian.org, jcristau@debian.org, yyabuki@debian.org
Subject: e:libbfd. libbfd-simple.a
Date: Thu, 18 Mar 2010 22:25:08 +0700
[Message part 1 (text/plain, inline)]
Tags: 573905 + patch

Sorry guys.

I attached wrong patch.
This patch is correct.
[static-libbfd-v2.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Thu, 18 Mar 2010 16:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Thu, 18 Mar 2010 16:12:10 GMT) Full text and rfc822 format available.

Message #55 received at 573905@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: Yukiharu YABUKI <yabuki@kiire.co.jp>
Cc: 573905@bugs.debian.org, ajqlee@debian.org, jcristau@debian.org, yyabuki@debian.org
Subject: Re: e:libbfd. libbfd-simple.a
Date: Thu, 18 Mar 2010 12:08:58 -0400
[Message part 1 (text/plain, inline)]
On Thu, Mar 18, 2010 at 10:25:08PM +0700, Yukiharu YABUKI wrote:
> Tags: 573905 + patch
> 
> Sorry guys.
> 
> I attached wrong patch.
> This patch is correct.

This looks much better.  Thanks very much for looking at this and taking
care of it, as I have been too swamped to really solve this.

Regards,

-Roberto

-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Tue, 06 Apr 2010 22:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Tue, 06 Apr 2010 22:21:06 GMT) Full text and rfc822 format available.

Message #60 received at 573905@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Roberto C.Sánchez <roberto@connexer.com>, 573905@bugs.debian.org
Cc: Yukiharu YABUKI <yabuki@kiire.co.jp>, ajqlee@debian.org, jcristau@debian.org, yyabuki@debian.org
Subject: Bug#573905: When will a new package be uploaded?
Date: Wed, 07 Apr 2010 00:19:50 +0200
[Message part 1 (text/plain, inline)]
Am Donnerstag, den 18.03.2010, 12:08 -0400 schrieb Roberto C.Sánchez:
> On Thu, Mar 18, 2010 at 10:25:08PM +0700, Yukiharu YABUKI wrote:
> > Tags: 573905 + patch
> > 
> > Sorry guys.
> > 
> > I attached wrong patch.
> > This patch is correct.
> 
> This looks much better.  Thanks very much for looking at this and taking
> care of it, as I have been too swamped to really solve this.

Roberto, do you plan to upload a new package or do you want someone to
do a NMU?


Thanks to everyone working on this bug,

Paul
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Wed, 07 Apr 2010 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Wed, 07 Apr 2010 00:12:03 GMT) Full text and rfc822 format available.

Message #65 received at 573905@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: Paul Menzel <pm.debian@googlemail.com>, 573905@bugs.debian.org
Cc: Yukiharu YABUKI <yabuki@kiire.co.jp>, ajqlee@debian.org, jcristau@debian.org, yyabuki@debian.org
Subject: Re: Bug#573905: When will a new package be uploaded?
Date: Tue, 6 Apr 2010 20:00:00 -0400
[Message part 1 (text/plain, inline)]
On Wed, Apr 07, 2010 at 12:19:50AM +0200, Paul Menzel wrote:
> Am Donnerstag, den 18.03.2010, 12:08 -0400 schrieb Roberto C.Sánchez:
> > On Thu, Mar 18, 2010 at 10:25:08PM +0700, Yukiharu YABUKI wrote:
> > > Tags: 573905 + patch
> > > 
> > > Sorry guys.
> > > 
> > > I attached wrong patch.
> > > This patch is correct.
> > 
> > This looks much better.  Thanks very much for looking at this and taking
> > care of it, as I have been too swamped to really solve this.
> 
> Roberto, do you plan to upload a new package or do you want someone to
> do a NMU?
> 
> 
> Thanks to everyone working on this bug,
> 
An NMU would be fantastic.  I do not know when I will have time to work
on this package in the very near future.

Regards,

-Roberto

-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Wed, 07 Apr 2010 05:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yukiharu YABUKI <yabuki@kiire.co.jp>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Wed, 07 Apr 2010 05:36:06 GMT) Full text and rfc822 format available.

Message #70 received at 573905@bugs.debian.org (full text, mbox):

From: Yukiharu YABUKI <yabuki@kiire.co.jp>
To: "Roberto C. Sánchez" <roberto@connexer.com>
Cc: Paul Menzel <pm.debian@googlemail.com>, 573905@bugs.debian.org, ajqlee@debian.org, jcristau@debian.org, yyabuki@debian.org
Subject: Re: Bug#573905: When will a new package be uploaded?
Date: Wed, 7 Apr 2010 13:47:25 +0900
Hi, all

I have just made nmu package. But, I haven't been uploaded yet.

Because this is my first time of source format 3.0 quilt.
And this patch should apply before configure.

I uploaded temporally space, please check it.
http://www.netfort.gr.jp/~yabuki/tmp/

On Tue, 6 Apr 2010 20:00:00 -0400
Roberto C. Sánchez <roberto@connexer.com> wrote:

> On Wed, Apr 07, 2010 at 12:19:50AM +0200, Paul Menzel wrote:
> > Am Donnerstag, den 18.03.2010, 12:08 -0400 schrieb Roberto C.Sánchez:
> > > On Thu, Mar 18, 2010 at 10:25:08PM +0700, Yukiharu YABUKI wrote:
> > > > Tags: 573905 + patch
> > > > 
> > > > Sorry guys.
> > > > 
> > > > I attached wrong patch.
> > > > This patch is correct.
> > > 
> > > This looks much better.  Thanks very much for looking at this and taking
> > > care of it, as I have been too swamped to really solve this.
> > 
> > Roberto, do you plan to upload a new package or do you want someone to
> > do a NMU?
> > 
> > 
> > Thanks to everyone working on this bug,
> > 
> An NMU would be fantastic.  I do not know when I will have time to work
> on this package in the very near future.
> 
> Regards,
> 
> -Roberto
> 
> -- 
> Roberto C. Sánchez
> http://people.connexer.com/~roberto
> http://www.connexer.com
> 


--
====+====+====+====+====+====+====+====+====+====+====+====+====+====+
〒550-0002 大阪市西区江戸堀2-1-1 江戸堀センタービル9F
KIIRE JAPAN Inc. http://www.kiire.co.jp/
TEL : 090-2041-8170 FAX : 06-6225-1212
Yukiharu YABUKI (矢吹幸治)
====+====+====+====+====+====+====+====+====+====+====+====+====+====+




Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Wed, 07 Apr 2010 22:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Wed, 07 Apr 2010 22:21:12 GMT) Full text and rfc822 format available.

Message #75 received at 573905@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: Yukiharu YABUKI <yabuki@kiire.co.jp>
Cc: Paul Menzel <pm.debian@googlemail.com>, 573905@bugs.debian.org, ajqlee@debian.org, jcristau@debian.org, yyabuki@debian.org
Subject: Re: Bug#573905: When will a new package be uploaded?
Date: Wed, 7 Apr 2010 18:20:29 -0400
[Message part 1 (text/plain, inline)]
On Wed, Apr 07, 2010 at 01:47:25PM +0900, Yukiharu YABUKI wrote:
> Hi, all
> 
> I have just made nmu package. But, I haven't been uploaded yet.
> 
> Because this is my first time of source format 3.0 quilt.
> And this patch should apply before configure.
> 
> I uploaded temporally space, please check it.
> http://www.netfort.gr.jp/~yabuki/tmp/
> 
I think that changing the source format in an NMU is probably too
intrusive a change.  The urgency right now is to fix #537744 and
#573905.

Regards,

-Roberto

-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#573905; Package oprofile. (Thu, 22 Apr 2010 14:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Thu, 22 Apr 2010 14:12:07 GMT) Full text and rfc822 format available.

Message #80 received at 573905@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 537744@bugs.debian.org, 573905@bugs.debian.org
Subject: oprofile: diff for NMU version 0.9.6-1.1
Date: Thu, 22 Apr 2010 16:08:24 +0200
[Message part 1 (text/plain, inline)]
tags 537744 + patch
tags 573905 + patch

Hi!

Dear maintainer,

Based upon the previous work, I've prepared an NMU for oprofile
(versioned as 0.9.6-1.1) and uploaded it to DELAYED/7. Please feel free
to tell me if I should delay it longer.


Best Regards,
  Alexander
[oprofile-0.9.6-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Thu, 22 Apr 2010 14:12:09 GMT) Full text and rfc822 format available.

Reply sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
You have taken responsibility. (Thu, 29 Apr 2010 15:45:18 GMT) Full text and rfc822 format available.

Notification sent to Pierre Habouzit <madcoder@debian.org>:
Bug acknowledged by developer. (Thu, 29 Apr 2010 15:45:18 GMT) Full text and rfc822 format available.

Message #87 received at 573905-close@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 573905-close@bugs.debian.org
Subject: Bug#573905: fixed in oprofile 0.9.6-1.1
Date: Thu, 29 Apr 2010 15:43:33 +0000
Source: oprofile
Source-Version: 0.9.6-1.1

We believe that the bug you reported is fixed in the latest version of
oprofile, which is due to be installed in the Debian FTP archive:

oprofile-gui_0.9.6-1.1_amd64.deb
  to main/o/oprofile/oprofile-gui_0.9.6-1.1_amd64.deb
oprofile_0.9.6-1.1.diff.gz
  to main/o/oprofile/oprofile_0.9.6-1.1.diff.gz
oprofile_0.9.6-1.1.dsc
  to main/o/oprofile/oprofile_0.9.6-1.1.dsc
oprofile_0.9.6-1.1_amd64.deb
  to main/o/oprofile/oprofile_0.9.6-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573905@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl <tolimar@debian.org> (supplier of updated oprofile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 22 Apr 2010 15:43:12 +0200
Source: oprofile
Binary: oprofile oprofile-gui
Architecture: source amd64
Version: 0.9.6-1.1
Distribution: unstable
Urgency: low
Maintainer: LIU Qi <liuqi82@gmail.com>
Changed-By: Alexander Reichle-Schmehl <tolimar@debian.org>
Description: 
 oprofile   - system-wide profiler for Linux systems
 oprofile-gui - system-wide profiler for Linux systems (GUI components)
Closes: 537744 573905
Changes: 
 oprofile (0.9.6-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add patch by Yukiharu YABUKI to staticaly link against libbfd
    (Closes: #537744, #573905)
Checksums-Sha1: 
 096e6129efb6ec033e7d3c1bcf6fb574c59c983f 1433 oprofile_0.9.6-1.1.dsc
 29f7e1efcfc8795d240e8447e07d90b43e00496a 13881 oprofile_0.9.6-1.1.diff.gz
 87e0c24f4def5aede3ef8e4c67ae9198e91ea9f8 3161434 oprofile_0.9.6-1.1_amd64.deb
 0cf54bf11f1750be5058bcdccadbb3f4c284f780 97406 oprofile-gui_0.9.6-1.1_amd64.deb
Checksums-Sha256: 
 a2d507f040cde75db6b965d3c27a9cde7d69cc51c5ce32b70b7e7eff96e8c4ae 1433 oprofile_0.9.6-1.1.dsc
 8145ce8b4e65c8c7321febc1cdf3f01891809b10c13d4667c70d70767351924e 13881 oprofile_0.9.6-1.1.diff.gz
 8e204ef8c1f6c6aa924d7e7da5e05981245e30524710e502c880934408c11d69 3161434 oprofile_0.9.6-1.1_amd64.deb
 2d073e56bf90a5c2ffa2fcc5ad8cdea6d006a9e138621d0ae551c18fa8dd34cc 97406 oprofile-gui_0.9.6-1.1_amd64.deb
Files: 
 40fb1b9bd40f52d587e8b3ba8cccc9a1 1433 devel optional oprofile_0.9.6-1.1.dsc
 6ea9786a69c04b7cc7e7f6a955eb70b0 13881 devel optional oprofile_0.9.6-1.1.diff.gz
 66d53d5a349646003ddc6016eff75a8e 3161434 devel optional oprofile_0.9.6-1.1_amd64.deb
 b6adab2b4e2a2358df6ff38482c996ad 97406 devel optional oprofile-gui_0.9.6-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvQWJsACgkQBxd04ADYzRZ5uACgr3fKEK7XzxhVotAEuKKQvFtj
nQMAn3R88Z7grJS6q9Njo3SfEWEzF/VR
=y0XW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jun 2010 07:31:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:05:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.